<div style="text-align: center">
  <h1>My Account</h1>
</div>
<div class="grid-container">
  <div id="referral-list" class="grid-item">
    <nav>
      <form (ngSubmit)="deleteSelectedReferrals()">
        <b>Active Referrals</b>
        <ol style="border: 1px solid orange">
          <ng-container *ngFor="let referral of referralList">
            <li >
              <div class="referral">
                <a>{{referral.doctor.specialization}}</a>
                <br/>
                <b>{{referral.doctor.name}} {{referral.doctor.lastname}}</b>
                <br/>
                <a>Date: {{referral.appointmentDate}}</a>
                <br/>
                <a>Time: {{referral.appointmentTime}}</a>
                <br/>
                <a>Cabinet - {{referral.doctor.cabinet}}</a>
                <div class="referral-checkbox">
                  <input type="checkbox" [value]="referral" (change)="onCheckChange(referral)">
                </div>
              </div>
            </li>
          </ng-container>
        </ol>
        <div class="btn-delete-referral">
          <button type="submit">Cancel</button>
        </div>
      </form>
    </nav>
  </div>

  <div id="referral-form" class="grid-item">
    <b>Referral Appointment</b>
    <form [formGroup]="referralForm" (ngSubmit)="addReferral()">
      <table>
        <tr>
          <td><label for="doctorSelect">Select doctor:</label></td>
          <td>
            <select id="doctorSelect" formControlName="email"
                    style="width: 180px">
              <option *ngFor="let doctor of doctorList" [value]="doctor.email">
                {{doctor.name}} {{doctor.lastname}}: {{doctor.specialization}}
              </option>
            </select>
          </td>
        </tr>
        <tr>
          <td><label for="date">Preferable date: </label></td>
          <td><input id="date" type="date" formControlName="date" style="width: 175px"></td>
        </tr>
        <tr>
          <td><label for="time">Preferable time: </label></td>
          <td><input id="time" type="time" formControlName="time" style="width: 175px"></td>
        </tr>
      </table>
      <div class="btn-add-referral">
        <button type="submit">Save</button>
      </div>
    </form>
  </div>

  <div id="patient-card" class="grid-item">
    <b>Patient Card</b>
    <br/>
    <a>Holder: {{patient.name}} {{patient.lastname}}</a>
    <br/>
    <a>Birth date: {{patient.birthDate}}</a>
    <br/>
    <a>Email: {{patient.email}}</a>
    <br/>
    <a>Employment: {{patient.employment}}</a>
  </div>

  <div id="policy-data" class="grid-item">
    <b>Insurance Policy</b>
    <br/>
    <a>{{patient.policy.code}}</a>
    <br/>
    <a>Registered at {{patient.policy.registrationDate}}</a>
    <br/>
    <a>Expires at {{patient.policy.expirationDate}}</a>
  </div>
</div>
